Bug 319169 - Interfaces to relevant programs such as GIMP, Photoshop, Lightroom etc.
Summary: Interfaces to relevant programs such as GIMP, Photoshop, Lightroom etc.
Status: RESOLVED INTENTIONAL
Alias: None
Product: digikam
Classification: Unclassified
Component: Portability-Interroperability (show other bugs)
Version: 3.1.0
Platform: Ubuntu Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-01 13:12 UTC by Axel Krebs
Modified: 2022-01-21 21:54 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 7.6.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Axel Krebs 2013-05-01 13:12:17 UTC
Many plugins, filter or scripts are available free of charge. 
It would be nice to take advantage of these. 

Besides, this approach could maximize programming efficiency, as digiKam users could re-use existing software.

Reproducible: Always

Steps to Reproduce:
1. new idea(?)
2.
3.


Expected Results:  
digiKam should offer the capability to use/run foreign scripts, filters or plugins. "Foreign" stands or GIMP, Photoshop or Lightroom, e.g.

These progs ofer thousands of additional possibilities
Comment 1 caulier.gilles 2013-05-01 13:15:14 UTC
Definitively, no. It's technically very difficult and long to do it. 

Also some part as Photoshop and LightRoom are closed source programs. We don't have any idea to plug modules which come from these applications. Also there are no linux stuff...